<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ctdac__globals" kind="group">
    <compoundname>group_ctdac_globals</compoundname>
    <title>Global Variables</title>
      <sectiondef kind="var">
      <memberdef id="group__group__ctdac__globals_1ga049a58c183e635b93a450976bf49660a" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctdac__fast__config__t">cy_stc_ctdac_fast_config_t</ref></type>
        <definition>const cy_stc_ctdac_fast_config_t Cy_CTDAC_Fast_VddaRef_UnbufferedOut</definition>
        <argsstring />
        <name>Cy_CTDAC_Fast_VddaRef_UnbufferedOut</name>
        <briefdescription>
<para>Configure CTDAC to use Vdda reference and output unbuffered. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctdac.c" bodystart="37" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctdac.h" line="619" />
      </memberdef>
      <memberdef id="group__group__ctdac__globals_1gaaac60a859d3b9f0235dbdbfe4346ef22" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctdac__fast__config__t">cy_stc_ctdac_fast_config_t</ref></type>
        <definition>const cy_stc_ctdac_fast_config_t Cy_CTDAC_Fast_VddaRef_BufferedOut</definition>
        <argsstring />
        <name>Cy_CTDAC_Fast_VddaRef_BufferedOut</name>
        <briefdescription>
<para>Configure CTDAC to use Vdda reference and output buffered through Opamp0 of CTB. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref>.</para><para>To quickly configure Opamp0, call with <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> with <ref kindref="member" refid="group__group__ctb__globals_1gad9260078469c446c5f6b2e53b8925392">Cy_CTB_Fast_Opamp0_Vdac_Out</ref> or <ref kindref="member" refid="group__group__ctb__globals_1ga0ca19b1b063bd81db94bc7e02edbaa8d">Cy_CTB_Fast_Opamp0_Vdac_Out_SH</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctdac.c" bodystart="43" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctdac.h" line="626" />
      </memberdef>
      <memberdef id="group__group__ctdac__globals_1ga27c002738be38f380472ea16d1155051" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctdac__fast__config__t">cy_stc_ctdac_fast_config_t</ref></type>
        <definition>const cy_stc_ctdac_fast_config_t Cy_CTDAC_Fast_OA1Ref_UnbufferedOut</definition>
        <argsstring />
        <name>Cy_CTDAC_Fast_OA1Ref_UnbufferedOut</name>
        <briefdescription>
<para>Configure CTDAC to use a buffered reference from Opamp1 of CTB and output unbuffered. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref>.</para><para>To use the reference from the Analog Reference (AREF), call <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> with <ref kindref="member" refid="group__group__ctb__globals_1ga0ef4edc2f1f65ffd267518c2bb241bdd">Cy_CTB_Fast_Opamp1_Vdac_Ref_Aref</ref>.</para><para>To use an external reference from a GPIO, call <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> with <ref kindref="member" refid="group__group__ctb__globals_1ga97cd507bb9735d4e2adfd77a17706587">Cy_CTB_Fast_Opamp1_Vdac_Ref_Pin5</ref> for Pin 5 on the CTB port. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctdac.c" bodystart="49" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctdac.h" line="638" />
      </memberdef>
      <memberdef id="group__group__ctdac__globals_1ga28e709a157ae32116c0eca332ef6fc65" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ctdac__fast__config__t">cy_stc_ctdac_fast_config_t</ref></type>
        <definition>const cy_stc_ctdac_fast_config_t Cy_CTDAC_Fast_OA1Ref_BufferedOut</definition>
        <argsstring />
        <name>Cy_CTDAC_Fast_OA1Ref_BufferedOut</name>
        <briefdescription>
<para>Configure CTDAC to use a buffered reference from Opamp1 of CTB and output buffered through Opamp0 of CTB. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__ctdac__functions__init_1ga66f44760b2a923f78135b20060c5700d">Cy_CTDAC_FastInit</ref>.</para><para>To quickly configure Opamp0, call with <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> with <ref kindref="member" refid="group__group__ctb__globals_1gad9260078469c446c5f6b2e53b8925392">Cy_CTB_Fast_Opamp0_Vdac_Out</ref> or <ref kindref="member" refid="group__group__ctb__globals_1ga0ca19b1b063bd81db94bc7e02edbaa8d">Cy_CTB_Fast_Opamp0_Vdac_Out_SH</ref>.</para><para>To use the reference from the Analog Reference (AREF), call <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> with <ref kindref="member" refid="group__group__ctb__globals_1ga0ef4edc2f1f65ffd267518c2bb241bdd">Cy_CTB_Fast_Opamp1_Vdac_Ref_Aref</ref>.</para><para>To use an external reference from a GPIO, call <ref kindref="member" refid="group__group__ctb__functions__init_1ga7bdb789cecd993b6871bc3e31a239473">Cy_CTB_FastInit</ref> with <ref kindref="member" refid="group__group__ctb__globals_1ga97cd507bb9735d4e2adfd77a17706587">Cy_CTB_Fast_Opamp1_Vdac_Ref_Pin5</ref> for Pins 5 on the CTB port. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_ctdac.c" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctdac.h" line="653" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>